diff --git a/web/pgadmin/browser/server_groups/servers/databases/static/js/database.js b/web/pgadmin/browser/server_groups/servers/databases/static/js/database.js
index f36883de..0c9c73b3 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/static/js/database.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/static/js/database.js
@@ -239,6 +239,7 @@ define('pgadmin.node.database', [
                       data.icon = 'icon-database-not-connected';
                       t.addIcon(i, {icon: data.icon});
                       t.unload(i);
+                      pgBrowser.Events.trigger('pgadmin:browser:tree:update-tree-state', i);
                       setTimeout(function() {
                         t.select(prv_i);
                       }, 10);
diff --git a/web/pgadmin/static/js/tree/pgadmin_tree_save_state.js b/web/pgadmin/static/js/tree/pgadmin_tree_save_state.js
index 0fbe73c2..f9c59223 100644
--- a/web/pgadmin/static/js/tree/pgadmin_tree_save_state.js
+++ b/web/pgadmin/static/js/tree/pgadmin_tree_save_state.js
@@ -260,7 +260,7 @@ _.extend(pgBrowser.browserTreeState, {
   },
   expand_from_previous_state: function(item) {
     let self = this,
-      treeData = self.stored_state || {},
+      treeData = this.current_state || {},
       data = item && pgBrowser.tree.itemData(item),
       treeHierarchy = pgBrowser.tree.getTreeNodeHierarchy(item);
 
